Veo 任务查询
Veo 任务提交后,通过查询入口按任务 ID 轮询状态与结果,对外返回 OpenAI 风格 video 对象。
http
GET /v1/videos/{task_id}任务完成后从 video_url(或代理内容地址)读取结果。将路径中的 {task_id} 替换为 视频生成 返回的任务 ID。
请求头
| 名称 | 类型 | 必填 | 说明 |
|---|---|---|---|
| string | 是 | 请求身份认证。使用 Bearer Token,示例: |
请求参数
| 名称 | 类型 | 必填 | 说明 |
|---|---|---|---|
| string | 是 | 路径参数,视频任务 ID,与生成接口返回的 id 一致 |
请求示例
bash
curl https://octopusx.ai/v1/videos/video_abc123 \
-H "Authorization: Bearer <token>"响应示例
json
{
"id": "video_abc123",
"object": "video",
"model": "veo_3_1-fast",
"status": "processing",
"progress": 50,
"created_at": 1735689600,
"completed_at": 0,
"expires_at": 1735776000,
"seconds": "8",
"size": "720x1280",
"video_url": ""
}json
{
"id": "video_abc123",
"object": "video",
"model": "veo_3_1-fast",
"status": "completed",
"progress": 100,
"created_at": 1735689600,
"completed_at": 1735689900,
"expires_at": 1735776000,
"seconds": "8",
"size": "720x1280",
"video_url": "https://example.com/video.mp4"
}json
{
"id": "video_abc123",
"object": "video",
"model": "veo_3_1-fast",
"status": "failed",
"progress": 100,
"created_at": 1735689600,
"completed_at": 1735689700,
"expires_at": 1735776000,
"seconds": "8",
"size": "720x1280",
"error": {
"message": "Content policy violation",
"code": "content_policy"
},
"video_url": ""
}响应字段
| 名称 | 类型 | 说明 |
|---|---|---|
| string | 任务 ID | |
| string | 固定为 | |
| string | 实际使用的模型 | |
| string | 任务状态:、、、、 | |
| integer | 进度百分比 | |
| string | 输出时长 | |
| string | 输出尺寸 | |
| integer | 完成时间戳 | |
| integer | 结果过期时间戳 | |
| string | 视频结果地址 | |
| object | 失败原因对象(含 / ) |